petsc-3.4.2 2013-07-02

# VecSetLocalToGlobalMappingBlock

Sets a local numbering to global numbering used by the routine VecSetValuesBlockedLocal() to allow users to insert vector entries using a local (per-processor) numbering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetLocalToGlobalMappingBlock(Vec x,ISLocalToGlobalMapping mapping)

Logically Collective on Vec

### Input Parameters

| x | - vector
| mapping | - mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS()

### Notes

All vectors obtained with VecDuplicate() from this vector inherit the same mapping.

### See Also

VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetValuesLocal(),
VecSetLocalToGlobalMapping(), VecSetValuesBlockedLocal()

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages